package cn.com.poc.ai_dialogues.query;   

import java.io.Serializable;
import java.util.List;

/**
 * Query Condition class for AiDialoguesQuery
 */
public class AiDialoguesQueryCondition implements Serializable{
    
    private static final long serialVersionUID = 1L;
    

    private java.lang.String id;
    
    public java.lang.String getId(){
        return this.id;
    }
    
    public void setId(java.lang.String id){
        this.id = id;
    }
        

    private java.lang.String dialoguesId;
    
    public java.lang.String getDialoguesId(){
        return this.dialoguesId;
    }
    
    public void setDialoguesId(java.lang.String dialoguesId){
        this.dialoguesId = dialoguesId;
    }
        

    private List<String> dialoguesTypeList;
    
    public List<String> getDialoguesTypeList(){
        return this.dialoguesTypeList;
    }
    
    public void setDialoguesTypeList(List<String> dialoguesTypeList){
        this.dialoguesTypeList = dialoguesTypeList;
    }
        

    private java.lang.Long memberId;
    
    public java.lang.Long getMemberId(){
        return this.memberId;
    }
    
    public void setMemberId(java.lang.Long memberId){
        this.memberId = memberId;
    }
        

    private java.lang.String isDeleted;
    
    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
    }
        
}